#ifndef CMWALARMPROCESS_H
#define CMWALARMPROCESS_H

#include "cmwidget.h"
#include "ui_cmwalarmprocess.h"

class CMWAlarmProcess : public CMWidget
{
	Q_OBJECT

public:
	CMWAlarmProcess(QWidget *parent = 0);
	~CMWAlarmProcess();


	virtual void MFresh();

	private slots:
    void on_btnStepLeft_clicked();

    void on_btnStepRight_clicked();

    void on_btnLeft1um_clicked();

    void on_btnRight1um_clicked();

    void on_btnStepUp_clicked();

    void on_btnStepDown_clicked();

    void on_btnUp1um_clicked();

    void on_btnDown1um_clicked();

    void on_btnHairlineReduce_clicked();

    void on_btnExpansion_clicked();

    void on_btnManualSetHairline_clicked();

    void on_btnManualSetBaseOffset_clicked();

    void on_btnPauseCut_clicked();

    void on_txtKerfPower_editingFinished();

    void on_txtKerfWidth_editingFinished();

    void on_btnToKerf_clicked();

    void on_btnCCW_clicked();

    void on_btnStepCW_clicked();

private:
	Ui::CMWAlarmProcess ui;

    void MotorStepMove(bool bX, bool bStep, int iDirect);
	void GetStepMoveDis(double& dX, double& dY);
};

#endif // CMWALARMPROCESS_H
